## emacs-bazel-mode 0.0~git20230919.769b30d

=== Makefile ===
# Copyright 2021, 2022, 2023 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

SHELL := /bin/sh

.DEFAULT: all
.SUFFIXES:

BAZEL := bazel
BAZELFLAGS :=

# All potentially supported Emacs versions.
versions := 28.1 28.2

kernel := $(shell uname -s)
ifeq ($(kernel),Linux)
  # GNU/Linux supports all Emacs versions.
else ifeq ($(kernel),Darwin)
  # macOS supports all Emacs versions.
else
  $(error Unsupported kernel $(kernel))
endif

# Test both default toolchain and versioned toolchains.
all: check $(versions)

check:
	$(BAZEL) test --test_output=errors $(BAZELFLAGS) -- //...

coverage: coverage.log
	sed -r -n -e 's|^  (/.+/coverage\.dat)$$|\1|p' -- '$<' \
	  | tr '\n' '\0' \
	  | xargs -0 -r -t -- \
	  genhtml --output-directory=coverage-report --branch-coverage --
	echo "Coverage report written to $${PWD}/coverage-report" >&2

coverage.log:
	$(BAZEL) coverage $(BAZELFLAGS) -- //... > '$@'

$(versions):
	$(MAKE) check BAZELFLAGS='$(BAZELFLAGS) --extra_toolchains=@phst_rules_elisp//elisp:emacs_$@_toolchain'

.PHONY: all check coverage coverage.log $(versions)

=== debian/changelog ===
emacs-bazel-mode (0.0~git20230919.769b30d-6) unstable; urgency=medium

  * Skip tests failing on Emacs 30.1
    - Some tests failed to create the required file when running under Emacs
      30.1.  Will figure out later.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 25 Feb 2025 20:19:58 -0800

emacs-bazel-mode (0.0~git20230919.769b30d-5) unstable; urgency=medium

  * Update d/watch to be compatible with DDPO

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 09 Dec 2024 22:43:07 -0800

emacs-bazel-mode (0.0~git20230919.769b30d-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:12:05 +0900

emacs-bazel-mode (0.0~git20230919.769b30d-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:38:38 +0900

emacs-bazel-mode (0.0~git20230919.769b30d-2) unstable; urgency=medium

  * Remove upstream-tag in d/gbp.conf for better detection
  * Add d/salsa-ci.yml using default settings
  * Add git to Build-Depends required by Salsa CI

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 30 May 2024 20:47:11 -0700

emacs-bazel-mode (0.0~git20230919.769b30d-1) unstable; urgency=medium

  * Initial release (Closes: #1071204)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 15 May 2024 22:52:08 -0700

=== debian/control ===
Source: emacs-bazel-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 git,
Standards-Version: 4.7.0
Homepage: https://github.com/bazelbuild/emacs-bazel-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-bazel-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-bazel-mode.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-bazel-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Bazel support for GNU Emacs
 This repository provides support for Bazel in GNU Emacs. It consists of
 a single file, bazel.el, which only depends on GNU Emacs and not on
 other libraries.
 .
 The library provides major modes for editing Bazel BUILD files,
 WORKSPACE files, .bazelrc files, as well as Starlark files. It also
 provides commands to run Bazel commands and integration with core GNU
 Emacs infrastructure like compilation and xref.

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=bazel
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skip building

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
    https://github.com/bazelbuild/emacs-bazel-mode \
    HEAD debian uupdate
